#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x87,0xEB,0x67,0x64,0x73,0x13,0xC5,0xF4,0xD9,0x8D,0xC7,0x9E,
		0x6D,0xAE,0xE7,0xDD,0xE1,0x72,0x24,0x03,0x1E,0xAF,0xF3,0x40,
		0x70,0xCB,0x3D,0x08,0xF2,0x8D,0xDB,0x26,0x32,0x43,0x37,0x08,
		0xCC,0x35,0xCE,0xBE,0xF5,0xA3,0xF6,0x6D,0xC1,0xBE,0x83,0x46,
		0xDF,0xAA,0xD4,0x38,0x46,0x6E,0xD9,0xF6,0xBD,0xF6,0x51,0xED,
		0x63,0xCA,0x60,0x93,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
